jobs:
  build-docker-linux-x64:
    runs-on: [self-hosted, linux, arm64, docker]
    steps:
      - name: Install packages
        run: apk add --no-cache git curl wget unzip bash nodejs npm docker

      - name: Checkout
        uses: actions/checkout@v4

      - name: Setup Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Build and Load
        uses: docker/build-push-action@v5
        with:
          context: .
          platforms: linux/arm64
          load: true # Lädt es in den lokalen Docker Daemon des Runners
          tags: myapp:linux-arm64

      - name: Save Image to Tar
        run: docker save -o myimage.tar myapp:linux-arm64

      - name: Upload Artifact
        uses: actions/upload-artifact@v4
        with:
          name: docker-image-arm64
          path: myimage.tar
          retention-days: 1